summaryrefslogtreecommitdiff
path: root/app/tools/oldscripts/roall
diff options
context:
space:
mode:
Diffstat (limited to 'app/tools/oldscripts/roall')
-rw-r--r--app/tools/oldscripts/roall22
1 files changed, 22 insertions, 0 deletions
diff --git a/app/tools/oldscripts/roall b/app/tools/oldscripts/roall
new file mode 100644
index 0000000..28f156b
--- /dev/null
+++ b/app/tools/oldscripts/roall
@@ -0,0 +1,22 @@
+#!/bin/sh
+if [ $# != 1 ] ; then
+ echo "Usage: roall <RLSE>"
+ exit 1
+fi
+cd ~/xtrkcad/$1
+for d in bin help lib lib/params lib/demos lib/examples tools ; do
+ (cd $d; for f in `make rcssrc` ; do
+ if [ -w $f ] ; then
+ echo $d/$f is writable
+ fi
+ done)
+done
+cd ~/wlib/$1
+for d in include mswlib test gtklib ; do
+ (cd $d;for f in `make rcssrc` ; do
+ if [ -w $f ] ; then
+ echo $d/$f is writable
+ fi
+ done)
+done
+